#
# spec file for package examine
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname io.github.cosmic_utils.Examine
Name:           examine
Version:        1.0.0+13
Release:        1.4
Summary:        System Information viewer
License:        GPL-3.0-only
URL:            https://github.com/cosmic-utils/examine
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(xkbcommon)

%description
A system information viewer for the COSMIC Desktop

%prep
%autosetup -a1 -p1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0+13:
  * chore: set version in Cargo.toml
  * chore: update libcosmic (and other deps)
  * Update Cargo.lock
  * improv: add dbus-config feature to Cargo.toml
  * upd: update dependencies (libcosmic + iced 0.13)
  * improv: allow clicking on links on distribution page
* Sat Oct 12 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
